[SCM] vdr-plugin-skinenigmang packaging repository branch, master, updated. debian/0.1.2-1-5-g535c7a9

etobi git at e-tobi.net
Thu Jun 28 22:27:06 UTC 2012


The following commit has been merged in the master branch:
commit 276c67a739d8a6b9cf25d89e7639acdd98fe5c48
Author: etobi <git at e-tobi.net>
Date:   Fri Jun 29 00:17:46 2012 +0200

    Added get-vcs-snapshot.sh

diff --git a/debian/get-vcs-snapshot.sh b/debian/get-vcs-snapshot.sh
new file mode 100644
index 0000000..c9702a0
--- /dev/null
+++ b/debian/get-vcs-snapshot.sh
@@ -0,0 +1,19 @@
+echo Downloading latest from git repository...
+set -e
+
+DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
+VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1 | sed -r 's/(.*)\+git.*/\1/'`
+VERSION_DATE=`/bin/date --utc +%0Y%0m%0d`
+VERSION_FULL="${VERSION_UPSTREAM}+git${VERSION_DATE}"
+
+git clone --depth 1 git://projects.vdr-developer.org/${DEB_SOURCE_PACKAGE}.git
+
+cd ${DEB_SOURCE_PACKAGE}
+GIT_SHA=`git show --pretty=format:"%h" --quiet | head -1 || true`
+cd ..
+
+tar --exclude=.git -czf "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}
+
+dch -v "$VERSION_FULL-1" "New Upstream Snapshot (commit $GIT_SHA)"
+
+rm -rf ${DEB_SOURCE_PACKAGE}
diff --git a/debian/rules b/debian/rules
index 94927f7..2db2907 100755
--- a/debian/rules
+++ b/debian/rules
@@ -18,3 +18,6 @@ override_dh_auto_clean:
 override_dh_gencontrol:
 	sh /usr/share/vdr-dev/dependencies.sh
 	dh_gencontrol
+
+get-vcs-snapshot:
+	sh debian/get-vcs-snapshot.sh

-- 
vdr-plugin-skinenigmang packaging repository



More information about the pkg-vdr-dvb-changes mailing list